AddEllipse

Adds an elliptical curve to the document.

Syntax

Rhino.AddEllipse (arrPlane, dblXRadius, dblYRadius)

Parameters

arrPlane

Required.  Array.  The plane on which the ellipse will lie. The origin of the plane will be the center point of the ellipse.

dblXRadius

Required.  Number.  The radius in the X-axis direction.

dblYRadius

Required.  Number.  The radius in the Y-axis direction.

Returns

String

The identifier of the new object if successful.

Null

If not successful, or on error.

Example

Dim arrPlane

arrPlane = Rhino.WorldXYPlane

Rhino.AddEllipse arrPlane, 5.0, 10.0

Also See

AddEllipse3Pt

IsEllipse

EllipseCenterPoint

EllipseQuadPoints